framework:
    workflows:
        devoir:
            type: 'state_machine'
            #            type: 'workflow'
            #            audit_trail:
            #                enabled: true
            marking_store:
                type: 'single_state'
                #                type: 'method'
                #                property: 'etat'
                arguments:
                    - etat

            supports:
                - App\Entity\Devoir
            places:
                - attente de note
                - attente validation
                - valide
            initial_marking:
                - attente de note
            transitions:
                ajout_note:
                    guard: "is_granted('ROLE_ADMIN') or is_granted('ROLE_ENSEIGNANT')"
                    from: attente de note
                    to:   attente validation
                validation:
                    guard: "is_granted('ROLE_ADMIN')"
                    from: attente validation
                    to:   valide

